Bug 845314 - Review Request: openshift-origin-cartridge-diy-0.1 - Provides openshift diy support
Review Request: openshift-origin-cartridge-diy-0.1 - Provides openshift diy s...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On: 840037 844011
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 11:58 EDT by Troy Dawson
Modified: 2012-09-17 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:42:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2012-08-02 11:58:33 EDT
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-diy-0.1.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-diy-0.1-0.30.3-2.fc18.src.rpm
Description: Provides diy (Do It Yourself) support to OpenShift

Fedora Account System Username: tdawson maxamillion

Exceptions Requested:
/usr/libexec/stickshift/cartridges/diy-0.1/info/data/git_template.git/refs/heads/.gitignore
This is a zero length, and version-control-internal-file  It is a template file and needs to be there for the template.

/usr/libexec/stickshift/cartridges/diy-0.1/info/configuration/*
rpmlint shows the non-etc-or-var-file-marked-as-conffile warning for these files.
The current cartridge code is written so that the configuration files need to be in that directory.
Comment 1 Michael Scherer 2012-08-02 16:18:26 EDT
Hi,

so :
- %{cartridgedir}/info/ is unowned

- why does the carttrige requires httpd ? ( ie, it should IMHO not be needed by this rpm specifically )

- same for ruby :
# For testrubyserver.rb
Requires:      ruby

the comment do not tell much 

- %{_sysconfdir}/stickshift/cartridges/%{name}
this may be unowned, but I am not sure, I guess we should keep it in mind once the rest of the stack is there
Comment 2 Troy Dawson 2012-08-02 16:45:53 EDT
Spec URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-diy-0.1.spec
SRPM URL: http://tdawson.fedorapeople.org/openshift-origin/openshift-origin-cartridge-diy-0.1-0.30.3-3.fc18.src.rpm

- fixed directory ownerships
-- both %{_sysconfdir}/stickshift/cartridges/%{name} and /info are now owned.
- Fixed requires
-- both httpd and ruby should be pulled in my openshift-origin-cartridge-abstract
Comment 3 Troy Dawson 2012-08-02 18:45:00 EDT
I would like to add FAS account name maxamillion to this review as I'll be out of town for the next week and don't want to be a blocker.

Fedora Account System Username: maxamillion tdawson
Comment 4 Michael Scherer 2012-08-02 19:17:56 EDT
basically same issue as cron cartridge, cp -p, and missing deps, and will be approved once the 2nd is fixed.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[!]: MUST Package installs properly.
     Note: Installation errors (see attachment)
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package installs properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.

Installation errors
-------------------
INFO: mock.py version 1.1.23 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.23
INFO: Mock Version: 1.1.23
Start: lock buildroot
INFO: installing package(s): /home/misc/checkout/git/FedoraReview/845314-openshift-origin-cartridge-diy-0.1/results/openshift-origin-cartridge-diy-0.1-0.30.3-3.fc17.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-17-x86_64/root/', 'install', '/home/misc/checkout/git/FedoraReview/845314-openshift-origin-cartridge-diy-0.1/results/openshift-origin-cartridge-diy-0.1-0.30.3-3.fc17.noarch.rpm', '--setopt=tsflags=nocontexts']
Erreur : Paquet : openshift-origin-cartridge-diy-0.1-0.30.3-3.fc17.noarch (/openshift-origin-cartridge-diy-0.1-0.30.3-3.fc17.noarch)
             Requiert : rubygem(openshift-origin-node)
Erreur : Paquet : openshift-origin-cartridge-diy-0.1-0.30.3-3.fc17.noarch (/openshift-origin-cartridge-diy-0.1-0.30.3-3.fc17.noarch)
             Requiert : openshift-origin-cartridge-abstract
 Vous pouvez essayer d'utiliser --skip-broken pour contourner le problème
 Vous pouvez essayer d'exécuter : rpm -Va --nofiles --nodigest

Rpmlint
-------
Checking: openshift-origin-cartridge-diy-0.1-0.30.3-3.fc17.noarch.rpm
          openshift-origin-cartridge-diy-0.1-0.30.3-3.fc17.src.rpm
openshift-origin-cartridge-diy-0.1.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/libexec/stickshift/cartridges/diy-0.1/info/configuration/settings.base.xml
openshift-origin-cartridge-diy-0.1.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/libexec/stickshift/cartridges/diy-0.1/info/configuration/index.html
openshift-origin-cartridge-diy-0.1.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/libexec/stickshift/cartridges/diy-0.1/info/configuration/health.html
openshift-origin-cartridge-diy-0.1.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/libexec/stickshift/cartridges/diy-0.1/info/configuration/jenkins_job_template.xml
openshift-origin-cartridge-diy-0.1.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/libexec/stickshift/cartridges/diy-0.1/info/configuration/settings.stg.xml
openshift-origin-cartridge-diy-0.1.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/libexec/stickshift/cartridges/diy-0.1/info/configuration/503.html
openshift-origin-cartridge-diy-0.1.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/libexec/stickshift/cartridges/diy-0.1/info/configuration/node_ssl_template.conf
openshift-origin-cartridge-diy-0.1.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/libexec/stickshift/cartridges/diy-0.1/info/configuration/settings.prod.xml
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/deploy-httpd-proxy /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/deploy-httpd-proxy
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/connection-hooks/set-nosql-db-connection-info /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/connection-hooks/set-nosql-db-connection-info
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/connection-hooks/publish-http-url /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/connection-hooks/publish-http-url
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/post-install /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/post-install
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/update-namespace /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/update-namespace
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/connection-hooks/publish-gear-endpoint /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/connection-hooks/publish-gear-endpoint
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/expose-port /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/expose-port
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/add-alias /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/add-alias
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/remove-module /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/remove-module
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/move /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/move
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/show-port /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/show-port
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/restart /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/restart
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/reload /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/reload
openshift-origin-cartridge-diy-0.1.noarch: E: version-control-internal-file /usr/libexec/stickshift/cartridges/diy-0.1/info/data/git_template.git/refs/heads/.gitignore
openshift-origin-cartridge-diy-0.1.noarch: E: zero-length /usr/libexec/stickshift/cartridges/diy-0.1/info/data/git_template.git/refs/heads/.gitignore
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/info /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/info
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/stop /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/stop
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/tidy /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/tidy
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/start /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/start
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/post-remove /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/post-remove
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/system-messages /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/system-messages
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/add-module /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/add-module
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/remove-alias /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/remove-alias
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/force-stop /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/force-stop
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/bin/sync_gears.sh /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/bin/sync_gears.sh
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/conceal-port /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/conceal-port
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/status /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/status
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/connection-hooks/set-db-connection-info /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/connection-hooks/set-db-connection-info
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/threaddump /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/threaddump
openshift-origin-cartridge-diy-0.1.noarch: W: dangling-symlink /usr/libexec/stickshift/cartridges/diy-0.1/info/hooks/remove-httpd-proxy /usr/libexec/stickshift/cartridges/diy-0.1/../abstract/info/hooks/remove-httpd-proxy
2 packages and 0 specfiles checked; 2 errors, 36 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
openshift-origin-cartridge-diy-0.1-0.30.3-3.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/bash  
    /bin/sh  
    config(openshift-origin-cartridge-diy-0.1) = 0.30.3-3.fc17
    openshift-origin-cartridge-abstract  
    rubygem(openshift-origin-node)  

Provides
--------
openshift-origin-cartridge-diy-0.1-0.30.3-3.fc17.noarch.rpm:
    
    config(openshift-origin-cartridge-diy-0.1) = 0.30.3-3.fc17
    openshift-origin-cartridge-diy-0.1 = 0.30.3-3.fc17

MD5-sum check
-------------
http://mirror.openshift.com/pub/openshift-origin/source/openshift-origin-cartridge-diy-0.1/openshift-origin-cartridge-diy-0.1-0.30.3.tar.gz :
  MD5SUM this package     : cab885c368bd2604f5faf605a98479fb
  MD5SUM upstream package : cab885c368bd2604f5faf605a98479fb


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 845314
External plugins:
Comment 6 Michael Scherer 2012-08-22 17:54:18 EDT
Deps should be here so approved
Comment 7 Troy Dawson 2012-08-22 18:06:06 EDT
New Package SCM Request
=======================
Package Name: penshift-origin-cartridge-diy-0.1
Short Description: Provides openshift diy (Do It Yourself) support
Owners: brenton tdawson maxamillion
Branches: f18 f17
InitialCC:
Comment 8 Jon Ciesla 2012-08-23 07:09:34 EDT
Git done (by process-git-requests).

Fixed name.
Comment 9 Fedora Update System 2012-08-23 09:01:45 EDT
openshift-origin-cartridge-diy-0.1-0.30.3-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openshift-origin-cartridge-diy-0.1-0.30.3-4.fc18
Comment 10 Fedora Update System 2012-08-23 11:37:37 EDT
openshift-origin-cartridge-diy-0.1-0.30.3-4.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2012-09-17 19:42:27 EDT
openshift-origin-cartridge-diy-0.1-0.30.3-4.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.